org.keycloak.dom.saml.common

## Class CommonStatusDetailType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonStatusDetailType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    StatusDetailType

      public class CommonStatusDetailType
      extends Object
      implements Serializable

  Java class for StatusDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonStatusDetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatusDetail(Object obj)` Add status detail
    `List<Object>` | `getAny()` Gets the value of the any property.
    `void` | `removeStatusDetail(Object obj)` Remove status detail

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### CommonStatusDetailType

          public CommonStatusDetailType()

  - ### Method Detail

    - #### addStatusDetail

          public void addStatusDetail(Object obj)

      Add status detail
      Parameters:
        `obj` -

    - #### removeStatusDetail

          public void removeStatusDetail(Object obj)

      Remove status detail
      Parameters:
        `obj` -

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property. Read-Only list

Copyright © 2021 JBoss by Red Hat. All rights reserved.